# Don't run strip, our binaries are already stripped
%define __spec_install_post :
%define debug_package %{nil}

Summary: SDK for C and ASM development for the TI-89, the TI-89 Titanium, the TI-92 Plus and the Voyage 200.
Name: tigcc
Epoch: 1
Version: 0.95r3
Release: 1
Copyright: GPL, A68k license, TICT license
Group: Development/Languages
Packager: Kevin Kofler <Kevin@tigcc.ticalc.org>
BuildRoot: /vroot
Prefix: /usr/local/tigcc
# Source has been omitted on purpose, because we don't support SRPMs yet.

%description
This is the port of the well-known TIGCC from Win32 to Linux and other *nix platforms (including MacOS X). TIGCC is an SDK for C and ASM development for the TI-89, the TI-89 Titanium, the TI-92 Plus and the Voyage 200. It is a complete product with a compiler, assembler, linker and a very rich set of functions. (An IDE for Linux/Unix is planned.) This TIGCC release is based on GCC 3.3.3 and Binutils 2.14. These are Linux binaries for an x86 (386 or higher) CPU.

%prep
# Do nothing, TIGCC SRPMs are not supported yet.

%build
# Do nothing, TIGCC SRPMs are not supported yet.

%install
# Do nothing, TIGCC SRPMs are not supported yet.

%clean
# Do nothing, TIGCC SRPMs are not supported yet.

%files
/usr/local/tigcc

%post
TIGCC="$RPM_INSTALL_PREFIX" "$RPM_INSTALL_PREFIX"/bin/envreg

%changelog
* Sat Nov 13 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 r3.

* Sun Oct 31 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 r2.

* Thu Oct 25 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 r1.

* Thu Oct 16 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 20 r1.
Make RPM relocatable.

* Thu Sep 23 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 19 r1.

* Mon Sep 6 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 17 r1.

* Tue Aug 10 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 16 r1.

* Fri Aug 6 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 15 r1.

* Wed Jul 21 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 13 r1.

* Tue Jun 22 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 11 r1.

* Mon Jun 14 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 10 r2.

* Fri Jun 11 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 10 r1. Increment epoch.

* Tue Apr 27 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 8 r1.

* Thu Apr 15 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 7 r1.

* Sun Mar 14 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
Update to 0.95 beta 6 r1.

* Sat Jan 31 2004 Kevin Kofler <Kevin@tigcc.ticalc.org>
First try at a binary-only RPM.
